@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
float.h File Reference
`#include <math.h>`
`#include <float.h>`
`#include "pico.h"`
`#include "pico/bootrom/sf_table.h"`
Include dependency graph for float.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

float | int2float (int32_t i)
float | uint2float (uint32_t i)
float | int642float (int64_t i)
float | uint642float (uint64_t i)
float | fix2float (int32_t m, int e)
float | ufix2float (uint32_t m, int e)
float | fix642float (int64_t m, int e)
float | ufix642float (uint64_t m, int e)
int32_t | float2int_z (float f)
int64_t | float2int64_z (float f)
int32_t | float2uint_z (float f)
int64_t | float2uint64_z (float f)
int32_t | float2fix_z (float f, int e)
uint32_t | float2ufix_z (float f, int e)
int64_t | float2fix64_z (float f, int e)
uint64_t | float2ufix64_z (float f, int e)
int32_t | float2int (float f)
uint32_t | float2uint (float f)
int64_t | float2int64 (float f)
uint64_t | float2uint64 (float f)
int32_t | float2fix (float f, int e)
uint32_t | float2ufix (float f, int e)
int64_t | float2fix64 (float f, int e)
uint64_t | float2ufix64 (float f, int e)
float | exp10f (float x)
void | sincosf (float x, float *sinx, float *cosx)
float | powintf (float x, int y)